@echo off
if "%~1"=="info" goto info
if "%~1"=="params" goto params
if "%~1"=="paramloop" goto paramloop
if "%~1"=="defines" goto defines
if "%~1"=="prebuild" goto prebuild
if "%~1"=="postbuild" goto postbuild
if "%~1"=="prerelease" goto prerelease
if "%~1"=="postrelease" goto postrelease
if "%~1"=="help" goto help
goto :eof

:info
set project=NewName3
set project_title=NewName3
set project_url=https://www.pepak.net/software/far-manager-newname
set releasedir=..\
set exedir=..\Bin\
set srcdir=.\
set ext=.dll
set far=3
set params=
set extralib=
exit /b 0
goto :eof

:help
echo    far2/far3 ....... FAR version to use
goto :eof

:params
goto :eof

:paramloop
if /i "%~2"=="far1" set far=1
if /i "%~2"=="far2" set far=2
if /i "%~2"=="far3" set far=3
goto :eof

:defines
set defs=%defs% -dFAR%far%
goto :eof

:prebuild
goto :eof

:postbuild
goto :eof

:prerelease
goto :eof

:postrelease
goto :eof
